{% block sw_cms_el_config_notes %}
    <sw-tabs class="sw-cms-el-config-notes__tabs"
             default-item="content">

        <template slot-scope="{ active }">
            {% block sw_cms_el_config_notes_tab_content %}
                <sw-tabs-item
                    :title="$tc('sw-cms.elements.general.config.tab.content')"
                    name="content"
                    :active-tab="active">
                    {{ $tc('sw-cms.elements.general.config.tab.content') }}
                </sw-tabs-item>
            {% endblock %}
            {% block sw_cms_el_notes_config_tab_options %}
                <sw-tabs-item
                    :title="$tc('sw-cms.elements.general.config.tab.settings')"
                    name="settings"
                    :active-tab="active">
                    {{ $tc('sw-cms.elements.general.config.tab.settings') }}
                </sw-tabs-item>
            {% endblock %}
        </template>

        <template #content="{ active }">
            {% block sw_cms_el_notes_config_content %}
                <sw-container
                    v-if="active === 'content'"
                    class="sw-cms-el-config-notes__tab-content">

                    <sw-cms-mapping-field
                        v-model="element.config.content"
                        :label="$tc('sw-cms.elements.text.config.label.content')"
                        value-types="string">
                        <sw-text-editor
                            v-model:value="element.config.content.value"
                            :allow-inline-data-mapping="true"
                            sanitize-input
                            @update:value="onInput"
                            @blur="onBlur"
                        />

                        <div #preview
                             slot-scope="{ demoValue }"
                             class="sw-cms-el-config-notes__mapping-preview">
                            <div v-html="$sanitize(demoValue)"></div>
                        </div>
                    </sw-cms-mapping-field>
                </sw-container>
            {% endblock %}

            {% block sw_cms_el_notes_config_settings %}
                <sw-container v-if="active === 'settings'"
                              class="sw-cms-el-config-notes__tab-settings">
                    <div class="sw-cms-el-config-notes__tab-settings-container">
                        <p>{{ $tc('sw-cms.elements.notes.noConfigText') }}</p>
                    </div>
                </sw-container>
            {% endblock %}
        </template>
    </sw-tabs>
{% endblock %}
